<template>
  <div class="input-field-block">
    <label>
      <input
        v-model="field"
        @change="onChanged"
        :type="this.type"
        class="input-field default-small-text"
        :placeholder="this.hint"
      />
    </label>
  </div>
</template>

<script>
export default {
  name: "login-field",
  props: {
    hint: String,
    type: String
  },
  data() {
    return {
      field: ""
    };
  },
  methods: {
    onChanged() {
      this.$emit("update:field", { field: this.field });
    }
  }
};
</script>

<style lang="sass">
@import "../../scss/colors"
@import "../../scss/extends.sass"
@import "../../scss/variables.sass"

.input-field::placeholder
  color: $gray

.input-field
  position: relative
  padding:
    left: 20px

  color: $dark
  background: white
  box-shadow: $baseShadow
  border-radius: 10px
  height: 61px
  width: 307px
</style>
